Deposits
Deposits are bank transfers made into your Airwallex Global Accounts for adding funds or collecting funds from third parties.
GET /api/v1/depositsGET /api/v1/deposits/{id}POST /api/v1/deposits/create
Get a list of deposits
GET /api/v1/deposits
Returns a list of deposits made into your Airwallex wallet. You can filter the list by specifying a time period. If left unspecified or only the end date is specified, then deposits 30 days in arrears of today or the end date will be returned.
The start date of created_at in ISO8601 format (inclusive)
Page number, starts from 0.
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
The amount of this deposit
The date time in ISO8601 format when this deposit was created
The currency (3-letter ISO-4217 code) of this deposit
Estimated settlement time of this deposit. With ISO8601 format
Empty unless the deposit is in a failure status (REJECTED, REVERSED).
Error code (details can be found here ).
A set of original information received from the local clearing system.
The original error code received from the local clearing system.
The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.
The original error message received from the local clearing system.
Deposit fee
Fee amount of this deposit
Fee currency (3-letter ISO-4217 code) of this deposit
The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier
The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA
A unique identifier of this deposit
The payer of this bank transfer deposit
The bank account of the payer
Australia BSB information
Financial account number
BSB code
Australian NPP PayID information
Identifier of PayID
Financial account number
BSB code
Australian NPP PayID
Brazil bank code information
Financial account number
bankCode
branchCode
ispb code
Canada institution number information
Financial account number
Institution number
Branch transit number
China cnaps code information
Financial account number
Cnaps code
Denmark bank code information
Financial account number
Bank code
Greate Britain sort code information
Financial account number
Sort code
Hong Kong bank code information
Financial account number
Bank code
Branch code
IBAN information
International Bank Account Number
The institution of the financial account
Country of the institution (2-letter ISO 3166-2 country code)
Institution name
Bank SWIFT code
Japan bank code information
Financial account number
Bank code
Branch code
Korea bank code information
Financial account number
Bank code
Branch code
Mexico bank code information
Financial account number
Bank code
Branch office code
Control digit
Financial account name
New Zealand bank code information
Financial account number
Bank code
Branch code
Financial account number suffix
Partial bank information
Financial account number
Routing code type
Routing code sub type
Routing code type value
Routing code sub type value
Philippines bank code information
Financial account number
Bank code
SWIFT information
Financial account number
SWIFT code
The type of the bank account identifier
AU_BSB, AU_PAYID, BR_BANK_CODE, CA_INSTITUTION_NUMBER, GB_SORT_CODE, HK_BANK_CODE, JP_BANK_CODE, NZ_BANK_CODE, US_ACH, US_WIRE, CN_CNAPS_CODE, PARTIAL, IBAN, MX_BANK_CODE, SWIFT_CODE, KR_BANK_CODE, DK_BANK_CODE, PH_BANK_CODE
United States ACH information
Financial account number
ACH routing number
United States wire information
Financial account number
Wire routing number
Country of the payer (2-letter ISO 3166-2 country code)
The name of the payer
The stablecoin wallet of the payer
The blockchain address of the sender
The stablecoin asset
The blockchain network
The unique identifier on this deposit provided by the banking provider. Duplicates may occur in edge cases
A user specific reference that will be displayed to the bank account owner on the bank statement
Actual settlement time of this deposit. With ISO8601 format
Status of this deposit
PENDING, SETTLED, REJECTED, REVERSED
Type of this deposit
BANK_TRANSFER, DIRECT_DEBIT
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/deposits' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "amount": 12794.27,6 "created_at": "2017-03-20T14:00:01+1100",7 "currency": "USD",8 "estimated_settled_at": "2017-03-22T14:00:00+0000",9 "failure_details": {10 "code": "insufficient_funds",11 "iso_code": "AM04",12 "provider_failure_details": {13 "code": "R01",14 "local_clearing_system": "US_ACH",15 "message": "INSUFFICIENT FUNDS"16 }17 },18 "fee": {19 "amount": 1.28,20 "currency": "USD"21 },22 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",23 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",24 "id": "67f687fe-dcf4-4462-92fa-20335301d9d8",25 "payer": {26 "bank_account": {27 "au_bsb": {28 "account_number": "89098199202",29 "bsb": "063001"30 },31 "au_payid": {32 "account_identifier_type": "EMAIL_ADDRESS",33 "account_number": "89098199202",34 "bsb": "063001",35 "payid": "[email protected]"36 },37 "br_bank_code": {38 "account_number": "89098199202",39 "bank_code": "712",40 "branch_code": "0001",41 "ispb": "78632767"42 },43 "ca_institution_number": {44 "account_number": "89098199202",45 "institution_number": "010",46 "transit_number": "12345"47 },48 "cn_cnaps_code": {49 "account_number": "89098199202",50 "cnaps_code": "1234"51 },52 "dk_bank_code": {53 "account_number": "89098199202",54 "bank_code": "003"55 },56 "gb_sort_code": {57 "account_number": "89098199202",58 "sort_code": "608382"59 },60 "hk_bank_code": {61 "account_number": "89098199202",62 "bank_code": "003",63 "branch_code": "1234"64 },65 "iban": {66 "iban": "GB81LHVB04032900176471"67 },68 "institution": {69 "country_code": "US",70 "name": "tester bank",71 "swift_code": "DBSSSGSG"72 },73 "jp_bank_code": {74 "account_number": "89098199202",75 "bank_code": "003",76 "branch_code": "1234"77 },78 "kr_bank_code": {79 "account_number": "89098199202",80 "bank_code": "003",81 "branch_code": "003123"82 },83 "mx_bank_code": {84 "account_number": "89098199202",85 "bank_code": "03",86 "branch_office_code": "1234",87 "control_digit": "1"88 },89 "name": "tester",90 "nz_bank_code": {91 "account_number": "89098199202",92 "bank_code": "03",93 "branch_code": "1234",94 "suffix": "12"95 },96 "partial": {97 "account_number": "89098199202",98 "account_routing_type1": "sort_code",99 "account_routing_type2": "sort_code",100 "account_routing_value1": "040329",101 "account_routing_value2": "040329"102 },103 "ph_bank_code": {104 "account_number": "7052902318500429",105 "bank_code": "011070016"106 },107 "swift_code": {108 "account_number": "89098199202",109 "swift_code": "DBSSSGSG"110 },111 "type": "AU_BSB",112 "us_ach": {113 "account_number": "89098199202",114 "ach": "084106768"115 },116 "us_wire": {117 "account_number": "89098199202",118 "wire": "084106768"119 }120 },121 "country_code": "US",122 "name": "tester"123 },124 "provider_transaction_id": "5487287788",125 "reference": "5487287788",126 "settled_at": "2017-03-22T14:00:00+0000",127 "status": "SETTLED",128 "type": "BANK_TRANSFER"129 }130 ]131}
Get a deposit by ID
GET /api/v1/deposits/{id}
Retrieves details of a deposit using the given deposit unique identifier.
The unique identifier of the Deposit to retrieve
The amount of this deposit
The date time in ISO8601 format when this deposit was created
The currency (3-letter ISO-4217 code) of this deposit
Estimated settlement time of this deposit. With ISO8601 format
Empty unless the deposit is in a failure status (REJECTED, REVERSED).
Error code (details can be found here ).
A set of original information received from the local clearing system.
The original error code received from the local clearing system.
The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.
The original error message received from the local clearing system.
Deposit fee
Fee amount of this deposit
Fee currency (3-letter ISO-4217 code) of this deposit
The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier
The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA
A unique identifier of this deposit
The payer of this bank transfer deposit
The bank account of the payer
Australia BSB information
Financial account number
BSB code
Australian NPP PayID information
Identifier of PayID
Financial account number
BSB code
Australian NPP PayID
Brazil bank code information
Financial account number
bankCode
branchCode
ispb code
Canada institution number information
Financial account number
Institution number
Branch transit number
China cnaps code information
Financial account number
Cnaps code
Denmark bank code information
Financial account number
Bank code
Greate Britain sort code information
Financial account number
Sort code
Hong Kong bank code information
Financial account number
Bank code
Branch code
IBAN information
International Bank Account Number
The institution of the financial account
Country of the institution (2-letter ISO 3166-2 country code)
Institution name
Bank SWIFT code
Japan bank code information
Financial account number
Bank code
Branch code
Korea bank code information
Financial account number
Bank code
Branch code
Mexico bank code information
Financial account number
Bank code
Branch office code
Control digit
Financial account name
New Zealand bank code information
Financial account number
Bank code
Branch code
Financial account number suffix
Partial bank information
Financial account number
Routing code type
Routing code sub type
Routing code type value
Routing code sub type value
Philippines bank code information
Financial account number
Bank code
SWIFT information
Financial account number
SWIFT code
The type of the bank account identifier
AU_BSB, AU_PAYID, BR_BANK_CODE, CA_INSTITUTION_NUMBER, GB_SORT_CODE, HK_BANK_CODE, JP_BANK_CODE, NZ_BANK_CODE, US_ACH, US_WIRE, CN_CNAPS_CODE, PARTIAL, IBAN, MX_BANK_CODE, SWIFT_CODE, KR_BANK_CODE, DK_BANK_CODE, PH_BANK_CODE
United States ACH information
Financial account number
ACH routing number
United States wire information
Financial account number
Wire routing number
Country of the payer (2-letter ISO 3166-2 country code)
The name of the payer
The stablecoin wallet of the payer
The blockchain address of the sender
The stablecoin asset
The blockchain network
The unique identifier on this deposit provided by the banking provider. Duplicates may occur in edge cases
A user specific reference that will be displayed to the bank account owner on the bank statement
Actual settlement time of this deposit. With ISO8601 format
Status of this deposit
PENDING, SETTLED, REJECTED, REVERSED
Type of this deposit
BANK_TRANSFER, DIRECT_DEBIT
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/deposits/deposit_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "amount": 12794.27,3 "created_at": "2017-03-20T14:00:01+1100",4 "currency": "USD",5 "estimated_settled_at": "2017-03-22T14:00:00+0000",6 "failure_details": {7 "code": "insufficient_funds",8 "iso_code": "AM04",9 "provider_failure_details": {10 "code": "R01",11 "local_clearing_system": "US_ACH",12 "message": "INSUFFICIENT FUNDS"13 }14 },15 "fee": {16 "amount": 1.28,17 "currency": "USD"18 },19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",21 "id": "67f687fe-dcf4-4462-92fa-20335301d9d8",22 "payer": {23 "bank_account": {24 "au_bsb": {25 "account_number": "89098199202",26 "bsb": "063001"27 },28 "au_payid": {29 "account_identifier_type": "EMAIL_ADDRESS",30 "account_number": "89098199202",31 "bsb": "063001",32 "payid": "[email protected]"33 },34 "br_bank_code": {35 "account_number": "89098199202",36 "bank_code": "712",37 "branch_code": "0001",38 "ispb": "78632767"39 },40 "ca_institution_number": {41 "account_number": "89098199202",42 "institution_number": "010",43 "transit_number": "12345"44 },45 "cn_cnaps_code": {46 "account_number": "89098199202",47 "cnaps_code": "1234"48 },49 "dk_bank_code": {50 "account_number": "89098199202",51 "bank_code": "003"52 },53 "gb_sort_code": {54 "account_number": "89098199202",55 "sort_code": "608382"56 },57 "hk_bank_code": {58 "account_number": "89098199202",59 "bank_code": "003",60 "branch_code": "1234"61 },62 "iban": {63 "iban": "GB81LHVB04032900176471"64 },65 "institution": {66 "country_code": "US",67 "name": "tester bank",68 "swift_code": "DBSSSGSG"69 },70 "jp_bank_code": {71 "account_number": "89098199202",72 "bank_code": "003",73 "branch_code": "1234"74 },75 "kr_bank_code": {76 "account_number": "89098199202",77 "bank_code": "003",78 "branch_code": "003123"79 },80 "mx_bank_code": {81 "account_number": "89098199202",82 "bank_code": "03",83 "branch_office_code": "1234",84 "control_digit": "1"85 },86 "name": "tester",87 "nz_bank_code": {88 "account_number": "89098199202",89 "bank_code": "03",90 "branch_code": "1234",91 "suffix": "12"92 },93 "partial": {94 "account_number": "89098199202",95 "account_routing_type1": "sort_code",96 "account_routing_type2": "sort_code",97 "account_routing_value1": "040329",98 "account_routing_value2": "040329"99 },100 "ph_bank_code": {101 "account_number": "7052902318500429",102 "bank_code": "011070016"103 },104 "swift_code": {105 "account_number": "89098199202",106 "swift_code": "DBSSSGSG"107 },108 "type": "AU_BSB",109 "us_ach": {110 "account_number": "89098199202",111 "ach": "084106768"112 },113 "us_wire": {114 "account_number": "89098199202",115 "wire": "084106768"116 }117 },118 "country_code": "US",119 "name": "tester"120 },121 "provider_transaction_id": "5487287788",122 "reference": "5487287788",123 "settled_at": "2017-03-22T14:00:00+0000",124 "status": "SETTLED",125 "type": "BANK_TRANSFER"126}
Create a deposit via direct debit
POST /api/v1/deposits/create
Deposits funds into your Airwallex account via Direct Debit from a Linked Account.
The amount of this deposit
The currency (3-letter ISO-4217 code) of this deposit
The unique identifier of your Linked Account or Funding Source
Unique request identifier specified in the request. Should be valid UUID
The type of deposit you would like to create, either DIRECT_DEBIT or FASTER_DIRECT_DEBIT. If not specified, it will default to DIRECT_DEBIT.
A user specified reference that will be displayed to the bank account owner on the bank statement. 1-10 characters long for USD, 1-18 characters long for AUD
The amount of this deposit
The date time in ISO8601 format when this deposit was created
The currency (3-letter ISO-4217 code) of this deposit
Estimated settlement time of this deposit. With ISO8601 format
Empty unless the deposit is in a failure status (REJECTED, REVERSED).
Error code (details can be found here ).
A set of original information received from the local clearing system.
The original error code received from the local clearing system.
The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.
The original error message received from the local clearing system.
Deposit fee
Fee amount of this deposit
Fee currency (3-letter ISO-4217 code) of this deposit
The Funding Source unique identifier of this direct debit deposit. This is the same as your Linked Account unique identifier
The global account unique identifier of this bank transfer deposit. Nullable for deposits via DBS_HK GA
A unique identifier of this deposit
The payer of this bank transfer deposit
The bank account of the payer
Australia BSB information
Financial account number
BSB code
Australian NPP PayID information
Identifier of PayID
Financial account number
BSB code
Australian NPP PayID
Brazil bank code information
Financial account number
bankCode
branchCode
ispb code
Canada institution number information
Financial account number
Institution number
Branch transit number
China cnaps code information
Financial account number
Cnaps code
Denmark bank code information
Financial account number
Bank code
Greate Britain sort code information
Financial account number
Sort code
Hong Kong bank code information
Financial account number
Bank code
Branch code
IBAN information
International Bank Account Number
The institution of the financial account
Country of the institution (2-letter ISO 3166-2 country code)
Institution name
Bank SWIFT code
Japan bank code information
Financial account number
Bank code
Branch code
Korea bank code information
Financial account number
Bank code
Branch code
Mexico bank code information
Financial account number
Bank code
Branch office code
Control digit
Financial account name
New Zealand bank code information
Financial account number
Bank code
Branch code
Financial account number suffix
Partial bank information
Financial account number
Routing code type
Routing code sub type
Routing code type value
Routing code sub type value
Philippines bank code information
Financial account number
Bank code
SWIFT information
Financial account number
SWIFT code
The type of the bank account identifier
AU_BSB, AU_PAYID, BR_BANK_CODE, CA_INSTITUTION_NUMBER, GB_SORT_CODE, HK_BANK_CODE, JP_BANK_CODE, NZ_BANK_CODE, US_ACH, US_WIRE, CN_CNAPS_CODE, PARTIAL, IBAN, MX_BANK_CODE, SWIFT_CODE, KR_BANK_CODE, DK_BANK_CODE, PH_BANK_CODE
United States ACH information
Financial account number
ACH routing number
United States wire information
Financial account number
Wire routing number
Country of the payer (2-letter ISO 3166-2 country code)
The name of the payer
The stablecoin wallet of the payer
The blockchain address of the sender
The stablecoin asset
The blockchain network
The unique identifier on this deposit provided by the banking provider. Duplicates may occur in edge cases
A user specific reference that will be displayed to the bank account owner on the bank statement
Actual settlement time of this deposit. With ISO8601 format
Status of this deposit
PENDING, SETTLED, REJECTED, REVERSED
Type of this deposit
BANK_TRANSFER, DIRECT_DEBIT
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/deposits/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "amount": 12794.27,> "currency": "USD",> "deposit_type": "DIRECT_DEBIT",> "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",> "reference": "test ref",> "request_id": "c559d7fe-d911-4f3d-a937-7c24ba4b732a">}'
1{2 "amount": 12794.27,3 "created_at": "2017-03-20T14:00:01+1100",4 "currency": "USD",5 "estimated_settled_at": "2017-03-22T14:00:00+0000",6 "failure_details": {7 "code": "insufficient_funds",8 "iso_code": "AM04",9 "provider_failure_details": {10 "code": "R01",11 "local_clearing_system": "US_ACH",12 "message": "INSUFFICIENT FUNDS"13 }14 },15 "fee": {16 "amount": 1.28,17 "currency": "USD"18 },19 "funding_source_id": "67f687fe-dcf4-4462-92fa-20335321d9d8",20 "global_account_id": "fcfc369c-ce9d-4ab7-b9af-80df61848f8f",21 "id": "67f687fe-dcf4-4462-92fa-20335301d9d8",22 "payer": {23 "bank_account": {24 "au_bsb": {25 "account_number": "89098199202",26 "bsb": "063001"27 },28 "au_payid": {29 "account_identifier_type": "EMAIL_ADDRESS",30 "account_number": "89098199202",31 "bsb": "063001",32 "payid": "[email protected]"33 },34 "br_bank_code": {35 "account_number": "89098199202",36 "bank_code": "712",37 "branch_code": "0001",38 "ispb": "78632767"39 },40 "ca_institution_number": {41 "account_number": "89098199202",42 "institution_number": "010",43 "transit_number": "12345"44 },45 "cn_cnaps_code": {46 "account_number": "89098199202",47 "cnaps_code": "1234"48 },49 "dk_bank_code": {50 "account_number": "89098199202",51 "bank_code": "003"52 },53 "gb_sort_code": {54 "account_number": "89098199202",55 "sort_code": "608382"56 },57 "hk_bank_code": {58 "account_number": "89098199202",59 "bank_code": "003",60 "branch_code": "1234"61 },62 "iban": {63 "iban": "GB81LHVB04032900176471"64 },65 "institution": {66 "country_code": "US",67 "name": "tester bank",68 "swift_code": "DBSSSGSG"69 },70 "jp_bank_code": {71 "account_number": "89098199202",72 "bank_code": "003",73 "branch_code": "1234"74 },75 "kr_bank_code": {76 "account_number": "89098199202",77 "bank_code": "003",78 "branch_code": "003123"79 },80 "mx_bank_code": {81 "account_number": "89098199202",82 "bank_code": "03",83 "branch_office_code": "1234",84 "control_digit": "1"85 },86 "name": "tester",87 "nz_bank_code": {88 "account_number": "89098199202",89 "bank_code": "03",90 "branch_code": "1234",91 "suffix": "12"92 },93 "partial": {94 "account_number": "89098199202",95 "account_routing_type1": "sort_code",96 "account_routing_type2": "sort_code",97 "account_routing_value1": "040329",98 "account_routing_value2": "040329"99 },100 "ph_bank_code": {101 "account_number": "7052902318500429",102 "bank_code": "011070016"103 },104 "swift_code": {105 "account_number": "89098199202",106 "swift_code": "DBSSSGSG"107 },108 "type": "AU_BSB",109 "us_ach": {110 "account_number": "89098199202",111 "ach": "084106768"112 },113 "us_wire": {114 "account_number": "89098199202",115 "wire": "084106768"116 }117 },118 "country_code": "US",119 "name": "tester"120 },121 "provider_transaction_id": "5487287788",122 "reference": "5487287788",123 "settled_at": "2017-03-22T14:00:00+0000",124 "status": "SETTLED",125 "type": "BANK_TRANSFER"126}